TORRUS_NODEID(8)

NAME
nodeid - Torrus utility

SYNOPSIS
torrus nodeid --tree=TREENAME --cmd=CMD options...

DESCRIPTION
This command provides a way to integrate Torrus with external OSS systems. It operates with nodeid, a unique identifier for Torrus datasource subtrees and leaves.

The command prints the data on the standard output in JSON data format.

OPTIONS

--tree=TREE
    [Mandatory] Defines the datasouerce tree.

--cmd=CMD
    [Mandatory] Defines the action command. The following commands are supported:

    •   info

        Prints information about the nodeid. Requires --nodeid.

    •   search

        Performs a prefix or substring search on node IDs and prints the results. Requires --prefix or --substring.

    •   render

        Renders a specified datasource node and prints the resulting MIME type and the file name. Requires --nodeid and --view. Optional --out defines a file name to copy the output to.

--nodeid=NODEID
    Specifies the Node ID string for the commands info and render.

--details
    Toggles verbose output for the commands info and search.

--prefix=STR
    Specifies the prefix search string for the command search.

--substring=STR
    Specifies the search substring for the command search.

--view=VIEW
    Specifies the view name for the command render. The following views are defined by standard Torrus XML files and render a PNG graph: "short", "last24h-small", "last24h", "lastweek", "lastmonth", "lastyear". The following views are printing the datasource value in a text format: "rrd-print-daily", "rrd-print-last".

--out=FILE
    If defined, instructs the utility to copy the rendered data into a specified file. Otherwise the file is created in the standard renderer's cache directory.

--help
    Displays a help message.

SEE ALSO
torrus(8)

NOTES
See more documentation at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>